<div class="about usage">
    <center><h2>
<a href="/about">Übersicht</a> | <a href="/about/news">News</a> | Nutzung | <a href="/about/faq">FAQ</a> | <a href="/about/stats">Statistik</a> | <a href="/about/privacy">Privacy Policy</a>
</h2></center>

    <p>Auf dieser Seite sammeln wir Anleitungen zur Nutzung von <span class="brand">keys.openpgp.org</span> mit unterschiedlichen OpenPGP-Anwendungen. Wir sind noch dabei, weitere Anleitungen hinzuzufügen - falls du eine bestimmte vermisst, lass es uns einfach wissen.</p>

    <h2>
        <div><img src="/assets/img/enigmail.svg"></div>
        Enigmail
    </h2>
    <p><a href="https://enigmail.net" target="_blank">Enigmail</a> für Thunderbird verwendet <span class="brand">keys.openpgp.org</span> als voreingestellten Keyserver seit Version 2.0.12.</p>
    <p>Alle Features sind verfügbar ab Enigmail 2.1 (für <a href="https://www.thunderbird.net/en-US/thunderbird/68.0beta/releasenotes/" target="_blank">Thunderbird 68</a> und neuer):</p>
<ul>
<li>Schlüssel werden automatisch aktualisiert</li>
            <li>Schlüssel können während der Generierung hochgeladen werden, inkl. Adress-Bestätigung.</li>
            <li>Schlüssel können anhand von Adressen gefunden werden.</li>
        </ul>
<h2>
        <div><img src="/assets/img/gpgtools.png"></div>
        GPG Suite
    </h2>
    <p><a href="https://gpgtools.org/">GPG Suite</a> für macOS verwendet <span class="brand">keys.openpgp.org</span> voreingestellt seit August 2019.</p>

    <h2>
        <div><img src="/assets/img/openkeychain.svg"></div>
        OpenKeychain
    </h2>
    <p><a href="https://www.openkeychain.org/">OpenKeychain</a> für Android verwendet <span class="brand">keys.openpgp.org</span> voreingestellt seit Juli 2019.</p>
<ul>
<li>Schlüssel werden automatisch aktualisiert</li>
            <li>Schlüssel können anhand von Adressen gefunden werden.</li>
        </ul>
<p>Bislang gibt es allerdings keine integrierte Unterstützung für das Bestätigen von E-Mail-Adressen.</p>

    <h2>
        <div><img src="/assets/img/gnupg.svg"></div>
        GnuPG
    </h2>

    <p>Um <a href="https://gnupg.org">GnuPG</a> mit <span class="brand">keys.openpgp.org</span> zu konfigurieren, füge diese Zeile in der <tt>gpg.conf</tt> Datei hinzu:</p>
<blockquote>keyserver hkps://keys.openpgp.org</blockquote>
    

    <h4 id="gnupg-retrieve"><a href="#gnupg-retrieve">Schlüssel abrufen</a></h4>
    <ul>
<li>Um Schlüssel anhand ihrer E-Mail-Adresse zu suchen:<blockquote>gpg --auto-key-locate keyserver --locate-keys user@example.net</blockquote>
        </li>
        <li>Um alle Schlüssel zu aktualisieren (inkl. Widerrufszertifikate und neue Unterschlüssel): <blockquote>gpg --refresh-keys</blockquote>
        </li>
    </ul>
<h4 id="gnupg-upload"><a href="#gnupg-upload">Schlüssel hochladen</a></h4>
    <p>Schlüssel können mit GnuPG's <tt>--send-keys</tt> Befehl hochgeladen werden, allerdings können auf diese Weise keine Identitäts-Informationen (<a href="/about">was ist das?</a>) bestätigt werden für die Suche per E-Mail-Adresse.</p>

    <ul>
<li>Du kannst versuchen deinen Schlüssel mittels dieses Shortcuts hochzuladen. Du solltest in der Ausgabe einen Direktlink zur Bestätigungs-Seite erhalten:<blockquote>gpg --export deine_adresse@example.net | curl -T - {{ base_uri }}</blockquote>
        </li>
        <li>Alternativ kannst du den Schlüssel exportieren und die Datei auf der <a href="/upload" target="_blank">Upload-Seite</a> hochladen:<blockquote>gpg --export deine_adresse@example.net &gt; my_key.pub</blockquote>
        </li>
    </ul>
<h4 id="gnupg-troubleshooting"><a href="#gnupg-troubleshooting">Bekannte Probleme</a></h4>
    <ul>
<li>Manche ältere <tt>~/.gnupg/dirmngr.conf</tt> Dateien enthalten die folgende Zeile:<blockquote>hkp-cacert ~/.gnupg/sks-keyservers.netCA.pem</blockquote>
            <p>Diese Konfiguration ist nicht mehr notwendig, kann aber Probleme mit Keyserver-Zertifikaten verursachen. Die Zeile kann in aktuellen Versionen gefahrlos entfernt werden.</p>
        </li>
        <li>Beim Aktualisieren von Schlüsseln kann der folgende Fehler auftreten:<blockquote>gpg: key A2604867523C7ED8: no user ID</blockquote>
            Es handelt sich um ein <a href="https://dev.gnupg.org/T4393" target="_blank">bekanntes Problem in GnuPG</a>. Wir arbeiten mit dem GnuPG Team an einer Lösung.
        </li>
    </ul>
<h4 id="gnupg-tor"><a href="#gnupg-tor">Nutzung über Tor</a></h4>
    <p>Nutzer mit erhöhten Anonymitäts-Anforderungen können <span class="brand">keys.openpgp.org</span> anonym als <a href="https://en.wikipedia.org/wiki/Tor_(anonymity_network)#Onion_services" target="_blank">Onion Service</a> verwenden. Wenn <a href="https://www.torproject.org/" target="_blank">Tor</a> installiert ist, verwende die folgende Konfiguration:</p>
<blockquote>keyserver hkp://zkaan2xfbuxia2wpf7ofnkbz6r5zdbbvxbunvp5g2iebopbfc4iqmbad.onion</blockquote>
    

    <h2 style="margin-left: 3%;">API</h2>

    <p>Es gibt eine Schnittstelle (API) für integrierte Unterstützung in OpenPGP-Anwendungen. Siehe dazu unsere <a href="/about/api">API-Dokumentation</a>.</p>

    <h2 style="margin-left: 3%;">Andere Client-Software</h2>

    <p>Fehlt eine Anleitung für die Anwendung, die du verwendest? Schick eine E-Mail an <span class="email">support at keys punkt openpgp punkt org</span>, und wir werden versuchen eine entsprechende Anleitung hinzuzufügen.</p>

</div>
